import { Endpoints } from "@octokit/types";
declare type User = {
    name: string;
    email: string;
    date?: string;
};
export declare type Options = {
    owner: string;
    repo: string;
    path: string;
    content: string | null | ContentUpdateFunction;
    message: string;
    branch?: string;
    committer?: User;
    author?: User;
};
export declare type ContentUpdateFunctionOptions = {
    exists: true;
    content: string;
} | {
    exists: false;
    content: null;
};
export declare type ContentUpdateFunction = (options: ContentUpdateFunctionOptions) => string | null | Promise<string | null>;
export declare type Response = {
    updated: false;
    deleted: false;
    data: {};
    headers: {};
} | ({
    updated: true;
    deleted: true;
} & Endpoints["DELETE /repos/{owner}/{repo}/contents/{path}"]["response"]) | ({
    updated: true;
    deleted: false;
    content: string;
} & Endpoints["PUT /repos/{owner}/{repo}/contents/{path}"]["response"]);
export {};
